Package com.ocient.jdbc

# Class XGResultSet.OcientResultSetMetadata.Builder

java.lang.Object
com.ocient.jdbc.XGResultSet.OcientResultSetMetadata.Builder

Enclosing class:
  `XGResultSet.OcientResultSetMetadata`

public static class XGResultSet.OcientResultSetMetadata.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`XGResultSet.OcientResultSetMetadata`
`build()`
`XGResultSet.OcientResultSetMetadata.Builder`
`setCols2Pos(Map<String,Integer> cols2Pos)`
`XGResultSet.OcientResultSetMetadata.Builder`
`setCols2Types(Map<String,String> cols2Types)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setCols2Pos

public XGResultSet.OcientResultSetMetadata.Builder setCols2Pos(Map<String,Integer> cols2Pos)

### setCols2Types

public XGResultSet.OcientResultSetMetadata.Builder setCols2Types(Map<String,String> cols2Types)

### build

public XGResultSet.OcientResultSetMetadata build()